#!/usr/bin/env bash

set -eu
set -o pipefail

# The old repository for manuals was deleted at some point - we migrated to GitLab.
# This script will convert URLs from the old format to the new one.
# It operates on a single file and in-place.
#
# Call this with "find . -type f -exec ./convert-svnsrc-urls.sh {} +"

echo "Updating $1..."
sed -i -e 's#https://svnsrv.desy.de/desy/cfel-cxi/doc#https://gitlab.desy.de/cfel-sc/cfel-technical-docs/-/blob/master#' "$1"
